<%@ page language="java"
	contentType="text/html;charset=Shift_JIS"
	import="java.util.*,java.io.*"
%>
	<HTML>
		<HEAD>
		</HEAD>
		<BODY onLoad="initialize();" style="margin:0;padding:0;">
			<img id=loadingIMG src="./images/logo_anime.gif" hspace="0" vspace="0" style="margin:0;padding:0;width:54px;height:27px;">
			<FORM name='form_main' method="post">
			</FORM>
		</BODY>
	</HTML>

	<script language="JavaScript">

		var valueXMLData = null;	// セルの値情報

		// 色設定を実行
		function initialize() {

			// 色設定を取得
			valueXMLData = new ActiveXObject("MSXML2.DOMDocument");
			valueXMLData.async = false;
			valueXMLData.setProperty("SelectionLanguage", "XPath");

			// セルデータ情報（XML）のロード
			var valueXMLResult = valueXMLData.load("Controller?action=getDataInfo");

			// セルデータよりCellノードを取得
			var cellNodes = valueXMLData.selectNodes("/CellDataInfo/Cell");

			// レポートのデータテーブル
			var dataTable = parent.parent.display_area.dataTable;

			var cell = null;
			var colIndex = -1;
			var rowIndex = -1;
			for ( var i = 0; i < cellNodes.length; i++ ) {

				// 挿入対象セルの座標を取得
				cell = cellNodes[i];
				colIndex = parseInt(cell.selectSingleNode("Col/Index").text);
				rowIndex = parseInt(cell.selectSingleNode("Row/Index").text);

				// 挿入対象セルに値を挿入
				dataTable.rows[rowIndex].cells[colIndex].innerText = cell.selectSingleNode("Data/Value").text;
			}
		}

		// ドリル終了処理
		parent.parent.display_area.finalyzeDrill();

		// Spreadテーブル部を表示する
		if ( parent.parent.display_area.spreadTable.style.visibility == 'hidden' ) {
			parent.parent.display_area.spreadTable.style.visibility='visible';
		}


		// ===== Spread表示完了状態を通知(イメージを停止)  =====
		parent.parent.display_area.setLoadingStatus(false);

	</script>

